Subject: bug#21092: 25.0.50; Option `lazy-highlight-max-at-a-time' does not work

From: Drew Adams <[email-masked]>
Date: Sun, 30 Aug 2015 15:39:45 -0700 (PDT)

> >> There is no need to highlight all matches in the buffer
> >> during Isearch.
> >
> > What if someone wants to?
> 
> Why would someone want such a strange thing?

I gave a pretty detailed explanation of a reasonable use
case.

> Drew wanted to highlight all matches in the buffer only
> on quitting Isearch

Not at all.  The narrowing I mentioned can be done, as I
said, during the same Isearch invocation.  That is the
more typical case, in fact.  It is why I bind Isearch keys
to the narrowing operations.

Tt doesn't seem that you really want to know why anyone
would want "such a strange thing".  _You_ don't want it.
That much seems clear.

Sigh, another feature that will remain only for Isearch+,
I guess.  To me, this is not an additional feature.  It is
a bug fix.  But I won't argue about it, and it's beside
the point now.  You clearly do not want this done.

You have not wanted a boatload of features, whether it's
searching within the active region (not needed, since a
user can always narrow the buffer); search within text-
or overlay-property zones; on-demand replacement of
search hits during search;...  NIH?

Please at least fix the doc so that it matches what the
code does, whether or not that matches what the original
intention was.